"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMockContext = exports.getMockEvent = void 0;
function getMockEvent({ path, httpMethod, queryStringParameters, multiValueQueryStringParameters, pathParameters, body, headers, multiValueHeaders, }) {
    return {
        resource: '/api/{path+}',
        path: path,
        httpMethod: httpMethod,
        headers: {
            accept: '*/*',
            'accept-encoding': 'gzip, deflate, br',
            'cloudfront-forwarded-proto': 'https',
            'cloudfront-is-desktop-viewer': 'true',
            'cloudfront-is-mobile-viewer': 'false',
            'cloudfront-is-smarttv-viewer': 'false',
            'cloudfront-is-tablet-viewer': 'false',
            'cloudfront-viewer-country': 'BR',
            host: 'test-datasource-prd.tksolutionsystems.com',
            'postman-token': '0d80de8b-d177-4c4d-8677-96e3cf0b0f67',
            'user-agent': 'PostmanRuntime/7.26.8',
            via: '1.1 5f69a260e7654c911054fa462ec28ae3.cloudfront.net (CloudFront)',
            'x-amz-cf-id': 'FsnNSXhiVfeK2vvnm3V_4woaFT658KqJ52t3S2s9_TmNykEiulJxUQ==',
            'x-amzn-trace-id': 'Root=1-5fd12ba4-7b9b48b43d40d6a900f775ce',
            'x-forwarded-for': '189.46.221.179, 64.252.179.133',
            'x-forwarded-port': '443',
            'x-forwarded-proto': 'https',
            ...(headers || {}),
        },
        multiValueHeaders: {
            Accept: ['*/*'],
            'Accept-Encoding': ['gzip, deflate, br'],
            'CloudFront-Forwarded-Proto': ['https'],
            'CloudFront-Is-Desktop-Viewer': ['true'],
            'CloudFront-Is-Mobile-Viewer': ['false'],
            'CloudFront-Is-SmartTV-Viewer': ['false'],
            'CloudFront-Is-Tablet-Viewer': ['false'],
            'CloudFront-Viewer-Country': ['BR'],
            Host: ['test-datasource-prd.tksolutionsystems.com'],
            'Postman-Token': ['0d80de8b-d177-4c4d-8677-96e3cf0b0f67'],
            'User-Agent': ['PostmanRuntime/7.26.8'],
            Via: ['1.1 5f69a260e7654c911054fa462ec28ae3.cloudfront.net (CloudFront)'],
            'X-Amz-Cf-Id': ['FsnNSXhiVfeK2vvnm3V_4woaFT658KqJ52t3S2s9_TmNykEiulJxUQ=='],
            'X-Amzn-Trace-Id': ['Root=1-5fd12ba4-7b9b48b43d40d6a900f775ce'],
            'x-api-key': ['someapikeyhere'],
            'X-Forwarded-For': ['189.46.221.179, 64.252.179.133'],
            'X-Forwarded-Port': ['443'],
            'X-Forwarded-Proto': ['https'],
            ...(multiValueHeaders || {}),
        },
        queryStringParameters: queryStringParameters,
        multiValueQueryStringParameters: multiValueQueryStringParameters,
        pathParameters: pathParameters,
        stageVariables: null,
        requestContext: {
            authorizer: {},
            resourceId: 'xip1v7',
            resourcePath: '/api/{path+}',
            httpMethod: httpMethod,
            extendedRequestId: 'XTPBvGdJoAMFiZw=',
            requestTime: '09/Dec/2020:19:55:16 +0000',
            path: path,
            accountId: '066645124467',
            protocol: 'HTTP/1.1',
            stage: 'api',
            domainPrefix: 'local-datasource-api',
            requestTimeEpoch: 1607543716606,
            requestId: 'f276cdcc-9f37-4575-97de-5f5b4d30b231',
            identity: {
                cognitoIdentityPoolId: null,
                cognitoIdentityId: null,
                apiKey: 'homologationhomologation',
                principalOrgId: null,
                cognitoAuthenticationType: null,
                userArn: null,
                apiKeyId: '6ocku79yxg',
                userAgent: 'PostmanRuntime/7.26.8',
                accountId: null,
                caller: null,
                sourceIp: '189.46.221.179',
                accessKey: null,
                cognitoAuthenticationProvider: null,
                user: null,
            },
            domainName: 'local-datasource-api.tksolutionsystems.com',
            apiId: 'tq8sptg2te',
        },
        body: body,
        isBase64Encoded: false,
    };
}
exports.getMockEvent = getMockEvent;
function getMockContext({}) {
    return {
        callbackWaitsForEmptyEventLoop: false,
        succeed: () => { },
        fail: () => { },
        done: () => { },
        functionVersion: '$LATEST',
        functionName: 'mock',
        memoryLimitInMB: '512',
        logGroupName: '/aws/lambda/mock',
        logStreamName: '2020/12/09/[$LATEST]068f4c1bbcb24154ab864995d869045d',
        clientContext: undefined,
        identity: undefined,
        invokedFunctionArn: 'arn:aws:lambda:us-east-1:066645124467:function:mock',
        awsRequestId: 'abba74c5-b8c8-4bbf-ae8c-c0e9ded0ed4e',
        getRemainingTimeInMillis: () => 10000,
    };
}
exports.getMockContext = getMockContext;
