import 'reflect-metadata';
export declare const metadataKey: unique symbol;
export declare const CONTROLLER_PATH_PROP = "__CONTROLLER_PATH__";
export declare function Controller(path: string): (target: any) => any;
export declare function Tags(..._args: string[]): (target: any) => any;
export declare function Method(method: Method, path?: string): (_target: any, _propertyKey: string, descriptor: PropertyDescriptor) => any;
export declare type Method = 'GET' | 'POST' | 'PUT' | 'DELETE';
export interface MethodMapping {
    method: Method;
    path: string;
    propertyKey: string;
}
